axis-java-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Saminda Wishwajith Abeyruwan (JIRA)" <j...@apache.org>
Subject [jira] Commented: (AXIS2-421) force client http 1.0 is not possible
Date Tue, 07 Feb 2006 07:15:59 GMT
    [ http://issues.apache.org/jira/browse/AXIS2-421?page=comments#action_12365399 ] 

Saminda Wishwajith Abeyruwan commented on AXIS2-421:
----------------------------------------------------

User can select HTTP Version from either Axis2.xml or runtime. The default HTTP Version is
1.1. Change the following entry in Axis2.xml to change the HTTP version to 1.0

 <parameter name="PROTOCOL" locked="false">HTTP/1.0</parameter>

In runtime the change of configuration is done as follows,

options.setProperty(org.apache.axis2.context.MessageContextConstants.HTTP_PROTOCOL_VERSION,org.apache.axis2.transport.http.HTTPConstants.HEADER_PROTOCOL_10);

> force client http 1.0 is not possible
> -------------------------------------
>
>          Key: AXIS2-421
>          URL: http://issues.apache.org/jira/browse/AXIS2-421
>      Project: Apache Axis 2.0 (Axis2)
>         Type: Bug
>   Components: transports
>     Versions: 0.94, 0.95
>     Reporter: Yves Langisch
>  Attachments: axis2_patch_421.txt
>
> I'm not able to force my client to use http 1.0 instead of 1.1. Changing the appropriate
paramters in axis2.xml (both, in WEB-INF and home dir) doesn't show any effect. After checking
the code I saw that the version setting is not propagated from CommonsHTTPTransportSender
to SOAPOverHTTPSender.
> Yves

-- 
This message is automatically generated by JIRA.
-
If you think it was sent incorrectly contact one of the administrators:
   http://issues.apache.org/jira/secure/Administrators.jspa
-
For more information on JIRA, see:
   http://www.atlassian.com/software/jira


Mime
View raw message